Package com.mapd.thrift.server

## Class TPixel

- java.lang.Object
- - com.mapd.thrift.server.TPixel

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TPixel>`, `org.apache.thrift.TBase<TPixel,​TPixel._Fields>`, `org.apache.thrift.TSerializable`

    public class TPixel
    extends Object
    implements org.apache.thrift.TBase<TPixel,​TPixel._Fields>, Serializable, Cloneable, Comparable<TPixel>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TPixel._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TPixel._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `x`
`long` `y`

### Constructor Summary

Constructors
`TPixel()`
`TPixel​(long x, long y)`
`TPixel​(TPixel other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TPixel other)`
`TPixel` `deepCopy()`
`boolean` `equals​(TPixel that)`
`boolean` `equals​(Object that)`
`TPixel._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TPixel._Fields field)`
`long` `getX()`
`long` `getY()`
`int` `hashCode()`
`boolean` `isSet​(TPixel._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetX()` Returns true if field x is set (has been assigned a value) and false otherwise
`boolean` `isSetY()` Returns true if field y is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TPixel._Fields field, Object value)`
`TPixel` `setX​(long x)`
`void` `setXIsSet​(boolean value)`
`TPixel` `setY​(long y)`
`void` `setYIsSet​(boolean value)`
`String` `toString()`
`void` `unsetX()`
`void` `unsetY()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### x

    public long x

#### y

    public long y

#### metaDataMap

    public static final Map<TPixel._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TPixel

    public TPixel()

#### TPixel

    public TPixel​(long x,
                  long y)

#### TPixel

    public TPixel​(TPixel other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TPixel deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TPixel,​TPixel._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TPixel,​TPixel._Fields>`

#### getX

    public long getX()

#### setX

    public TPixel setX​(long x)

#### unsetX

    public void unsetX()

#### isSetX

    public boolean isSetX()

Returns true if field x is set (has been assigned a value) and false otherwise

#### setXIsSet

    public void setXIsSet​(boolean value)

#### getY

    public long getY()

#### setY

    public TPixel setY​(long y)

#### unsetY

    public void unsetY()

#### isSetY

    public boolean isSetY()

Returns true if field y is set (has been assigned a value) and false otherwise

#### setYIsSet

    public void setYIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TPixel._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TPixel,​TPixel._Fields>`

#### getFieldValue

    public Object getFieldValue​(TPixel._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TPixel,​TPixel._Fields>`

#### isSet

    public boolean isSet​(TPixel._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TPixel,​TPixel._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TPixel that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TPixel other)

Specified by:
  `compareTo` in interface `Comparable<TPixel>`

#### fieldForId

    public TPixel._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TPixel,​TPixel._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`